# Pachli

Pachli is a full-featured Android client for Mastodon, with a cooperative development model.

<img alt="" src="https://pachli.app/assets/posts/2023-12-xx-2.1-release/01.png"><img alt="" src="https://pachli.app/assets/posts/2023-12-xx-2.1-release/02.png"><img alt="" src="https://pachli.app/assets/posts/2023-12-xx-2.1-release/06.png">

<img alt="" src="https://pachli.app/assets/posts/2023-12-xx-2.1-release/04.png"><img alt="" src="https://pachli.app/assets/posts/2023-12-xx-2.1-release/05.png"><img alt="" src="https://pachli.app/assets/posts/2023-12-xx-2.1-release/03.png">

<img alt="" src="https://pachli.app/assets/posts/2023-12-xx-2.1-release/08.png"><img alt="" src="https://pachli.app/assets/posts/2023-12-xx-2.1-release/07.png">

Features include:

- Read, reply, filter, post, favourite, and boost posts
- Translate posts from other languages
- Your timeline is cached locally, so you can read when offline
- Draft posts now to finish them later
- Write posts now and schedule them to send later
- Read and post from multiple accounts
- Manage who you follow with multiple lists
- Use different themes to customise the UI
- A variety of accessible fonts in different sizes
- Full control over how and when you receive notifications
- Explore trending posts, links, and hashtags

Pachli is [Open Source](https://opensource.org/).

Install the newest release from the [list of releases](https://github.com/pachli/pachli-android/releases), or from [Google Play](https://play.google.com/store/apps/details?id=app.pachli) and [F-Droid](https://f-droid.org/packages/app.pachli).

[<img src="https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png" alt="Get it on Google Play" height="80" />](https://play.google.com/store/apps/details?id=app.pachli) [<img src="https://raw.githubusercontent.com/pachli/pachli-android/main/assets/fdroid_badge.png" alt="Get it on F-Droid" height="80" />](https://f-droid.org/repository/browse/?fdid=app.pachli)

## Support

<!-- TODO: Link to rewritten FAQ when complete -->

- Say "hi" on Mastodon, we're [@pachli@mastodon.social](https://mastodon.social/@pachli)
- Join the ongoing [discussions](https://github.com/pachli/pachli-android/discussions)
- Report a bug or make a feature request as a [new issue](https://github.com/pachli/pachli-android/issues)

## Contributing

We actively welcome new contributors. Please read [CONTRIBUTING.md](CONTRIBUTING.md) for more information.

[![Contributor Covenant](https://img.shields.io/badge/Contributor%20Covenant-2.1-4baaaa.svg)](CODE_OF_CONDUCT.md) [![Contributor License Agreement](https://cla-assistant.io/readme/badge/pachli/pachli-android)](https://cla-assistant.io/pachli/pachli-android) [![Translate - with Weblate](https://img.shields.io/badge/translate%20with-Weblate-green.svg?style=flat)](https://hosted.weblate.org/projects/pachli/)

## More information

More information about the application and the principals underpinning its development are at https://pachli.app.

<img alt="" src="https://raw.githubusercontent.com/pachli/pachli-android/main/fastlane/metadata/android/en-US/images/icon.png" width="120" height="120"/>
