/*
 * Copyright 2024 Pachli Association
 *
 * This file is a part of Pachli.
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * Pachli is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with Pachli; if not,
 * see <http://www.gnu.org/licenses>.
 */

package app.pachli.di

import android.content.Context
import app.pachli.core.common.di.ApplicationScope
import app.pachli.languageidentification.DefaultLanguageIdentifierFactory
import app.pachli.languageidentification.LanguageIdentifier
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.android.qualifiers.ApplicationContext
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton
import kotlinx.coroutines.CoroutineScope

@InstallIn(SingletonComponent::class)
@Module
object LanguageIdentifierFactoryModule {
    @Provides
    @Singleton
    fun providesLanguageIdentifierFactory(
        @ApplicationScope externalScope: CoroutineScope,
        @ApplicationContext context: Context,
    ): LanguageIdentifier.Factory = DefaultLanguageIdentifierFactory(externalScope, context)
}
